Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
dota2 always crashs because of i965_dri.so
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gamers & Players
View previous topic :: View next topic  
Author Message
dongfangxunlei
n00b
n00b


Joined: 30 Jan 2013
Posts: 31

PostPosted: Wed Mar 05, 2014 10:36 am    Post subject: dota2 always crashs because of i965_dri.so Reply with quote

I am using gentoo ~amd64,and the 64bit mesa is 10.0.3,but the emul-linux-x86-opengl only offers mesa 9.1.6.Is it the problem?
How can I compile my 32bit mesa version?
My video card is intel hd4600
Back to top
View user's profile Send private message
chithanh
Developer
Developer


Joined: 05 Aug 2006
Posts: 1691
Location: Berlin, Germany

PostPosted: Wed Mar 05, 2014 1:30 pm    Post subject: Reply with quote

It could be a problem. To build mesa-10.0.3 for 32-bit, you need to enable ABI_X86="32" for mesa and its dependencies.
Back to top
View user's profile Send private message
dongfangxunlei
n00b
n00b


Joined: 30 Jan 2013
Posts: 31

PostPosted: Wed Mar 05, 2014 2:27 pm    Post subject: Reply with quote

chithanh wrote:
It could be a problem. To build mesa-10.0.3 for 32-bit, you need to enable ABI_X86="32" for mesa and its dependencies.



I cannot enable the abi_x86_32.It reports that some packages cannot be installed both in 64bit amd 32bit.Such as expat
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gamers & Players All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum